
Foreman - Bug #13769

SSH provisioning fails when sql logging level is set to 'error'

02/17/2016 11:29 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Orchestration   

Target version: 1.14.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1325939 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4262

  

Description

Current logger calls return `true`|`false` depending whether the current level

allows the logging message or not.

In the orchestration, we happened to have the logger call as the last

call of the orchestration method (

https://github.com/theforeman/foreman/blob/1.10.1/app/models/concerns/orchestration/ssh_provision.rb#L66).

When the method returns non-true value, it's considered as failure and the whole thing

tries to get rollbacked.

Related issues:

Related to Foreman - Bug #13771: Failure in after_commit orchestration is ver... New 02/17/2016

Related to Foreman - Tracker #14002: Orchestration build around ActiveRecord ... New 03/02/2016

Related to Foreman - Bug #14004: After_commit failure doesn't handle the roll... New 03/02/2016

Associated revisions

Revision a4e1e08c - 02/10/2017 07:22 AM - Ivan Necas

Fixes #3541,#13769 - return true on success of ssh orchestration

Strange things start happening otherwise.

Revision 20134e11 - 03/01/2017 02:08 PM - Ivan Necas

Fixes #3541,#13769 - return true on success of ssh orchestration

Strange things start happening otherwise.

(cherry picked from commit a4e1e08ceb388e9749fceee8ae4487ab3c76c105)

History

#1 - 02/17/2016 11:43 AM - Ivan Necas

- Related to Bug #13771: Failure in after_commit orchestration is very hard to debug added

#2 - 03/02/2016 04:20 AM - Ivan Necas

- Related to Tracker #14002: Orchestration build around ActiveRecord hooks tracker added

#3 - 03/02/2016 05:05 AM - Ivan Necas

- Related to Bug #14004: After_commit failure doesn't handle the rollback for the actions performed from the pre_commit phase and active record

objects added

#4 - 03/02/2016 05:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://github.com/theforeman/foreman/blob/1.10.1/app/models/concerns/orchestration/ssh_provision.rb#L66


- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/3269 added

#5 - 04/11/2016 08:57 AM - Bryan Kearney

- Bugzilla link set to 1325939

#6 - 12/19/2016 03:39 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Ivan Necas)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3269)

Issue likely still present, but PR closed due to inactivity.

#7 - 02/08/2017 05:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/4262 added

#8 - 02/10/2017 08:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4e1e08ceb388e9749fceee8ae4487ab3c76c105.

#9 - 02/10/2017 08:26 AM - Dominic Cleal

- translation missing: en.field_release set to 221
